summaryrefslogtreecommitdiff
path: root/security/nss/tests
diff options
context:
space:
mode:
authorrelyea%netscape.com <devnull@localhost>2002-01-25 19:03:17 +0000
committerrelyea%netscape.com <devnull@localhost>2002-01-25 19:03:17 +0000
commit2aba23bed718b4aa97bff33471142296a808c4a9 (patch)
treea8b3f69c5ec019da75e8e0be57795950ed7d819f /security/nss/tests
parentedf8a8319b86ecc2786ca85c35269651c768ddef (diff)
downloadnss-hg-2aba23bed718b4aa97bff33471142296a808c4a9.tar.gz
Fix bug 115660. Note that fixing the bugs necessitates fixing the test
cases as well. The test case was depending on the failure to read certs to detect the failure to read keys. Now certutil returns a failure if no keys are found. This also means that the FIPS test after the key and cert has been deleted should expect a failure to list any keys.
Diffstat (limited to 'security/nss/tests')
-rwxr-xr-xsecurity/nss/tests/fips/fips.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/security/nss/tests/fips/fips.sh b/security/nss/tests/fips/fips.sh
index fe4b3a055..99f8c1de1 100755
--- a/security/nss/tests/fips/fips.sh
+++ b/security/nss/tests/fips/fips.sh
@@ -141,7 +141,9 @@ fips_140_1()
echo "$SCRIPTNAME: List the FIPS module keys."
echo "certutil -d ${R_FIPSDIR} -K -f ${R_FIPSPWFILE}"
certutil -d ${R_FIPSDIR} -K -f ${R_FIPSPWFILE} 2>&1
- html_msg $? 0 "List the FIPS module keys (certutil -K)"
+ # certutil -K now returns a failure if no keys are found. This verifies that
+ # our delete succeded.
+ html_msg $? 255 "List the FIPS module keys (certutil -K)"
echo "$SCRIPTNAME: Import the certificate and key from the PKCS#12 file"
echo "pk12util -d ${R_FIPSDIR} -i fips140.p12 -w ${R_FIPSP12PWFILE} -k ${R_FIPSPWFILE}"